#### Previous topic

scipy.special.bdtrik

#### Next topic

scipy.special.btdtr

# scipy.special.bdtrin

`scipy.special.``bdtrin`(k, y, p) = <ufunc 'bdtrin'>

  Inverse function to `bdtr` with respect to n.

  Finds the number of events n such that the sum of the terms 0 through k of the Binomial probability density for events with probability p is equal to the given cumulative probability y.

  Parameters:

  k : array_like

  > Number of successes (float).

  y : array_like

  > Cumulative probability (probability of k or fewer successes in n events).

  p : array_like

  > Success probability (float).

  Returns:

  n : ndarray

  > The number of events n such that bdtr(k, n, p) = y.

  See also

  `bdtr`

  Notes

  Formula 26.5.24 of [R349] is used to reduce the binomial distribution to the cumulative incomplete beta distribution.

  Computation of n involves a seach for a value that produces the desired value of y. The search relies on the monotinicity of y with n.

  Wrapper for the CDFLIB [R350] Fortran routine cdfbin.

  References

  [R349] | (1, 2) Milton Abramowitz and Irene A. Stegun, eds. Handbook of Mathematical Functions with Formulas, Graphs, and Mathematical Tables. New York: Dover, 1972.

  [R350] | (1, 2) Barry Brown, James Lovato, and Kathy Russell, CDFLIB: Library of Fortran Routines for Cumulative Distribution Functions, Inverses, and Other Parameters.